Unregister a URL wrapper

- « stream_wrapper_restore

- Swoole »

- PHP Manual
- Stream Functions
- Unregister a URL wrapper

# stream_wrapper_unregister

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

stream_wrapper_unregister — Unregister a URL wrapper

### Description

stream_wrapper_unregister(string `$protocol`): bool

Allows you to disable an already defined stream wrapper. Once the wrapper has been disabled you may override it with a user-defined wrapper using stream_wrapper_register() or reenable it later on with stream_wrapper_restore().

### Parameters

`protocol`

### Return Values

Returns `true` on success or `false` on failure.